
sjlog using logs/ch2.1, replace
adopath
sjlog close, replace
adopath

sjlog using logs/ch2.2, replace
display %21x 1/10
sjlog close, replace

use bpress, clear
sjlog using logs/ch7.02a, replace
regress bp i.agegrp##i.sex
sjlog close, replace

sjlog using logs/ch7.02b, replace
margins agegrp sex
sjlog close, replace

sjlog using logs/ch2.3, replace
sysuse auto, clear
generate lprice = log(price)
preserve
collapse (max) max_lprice=lprice max_mpg=mpg ///
(iqr) iqr_lprice=lprice iqr_mpg=mpg if !missing(rep78), by(rep78) 
sort rep78
save repstats, replace
sjlog close, replace

sjlog using logs/ch2.3a, replace
restore
sort rep78
merge m:1 rep78 using repstats
summarize lprice max_lprice iqr_lprice
sjlog close, replace

*sjlog using logs/appA.1, replace
*clear
*infile str2 state members prop potential using appA_1
*list
*sjlog close, replace
*
*sjlog using logs/appA.2, replace
*clear
*infile str2 state members prop potential str20 state_name key using appA_2
*list
*sjlog close, replace
*
*sjlog using logs/appA.3, replace
*clear
*type appA_3.raw
*list
*sjlog close, replace
*
*sjlog using logs/appA.4rev, replace
*clear
*import delimited using appA_4
*list
*sjlog close, replace
*
*sjlog using logs/appA.05, replace
*clear
*infix using 09289-infix
*sjlog close, replace
*
*sjlog using logs/appA.06, replace
*clear
*infile using 09289-0001-Data
*sjlog close, replace
*
*sjlog using logs/appA.07, replace
*describe
*sjlog close, replace
