version 14
mata:
void demotab(string scalar m1, 
             string scalar m1v,
             string scalar m2,
	     string scalar m3,
	     string scalar var,
	     string scalar cn
			 )
{
	real scalar   i
	real matrix   mat1, mat1v, mat2, mat3
	string scalar cats, var2, line
	external      fh

	mat1  = st_matrix(m1)
	mat1v = st_matrix(m1v)
	mat2  = 100 :* st_matrix(m2)
	mat3  = 100 :* st_matrix(m3)
	cats  = tokens(cn)
	var2  = subinstr(var,"_","\_")

	fput(fh, "\\")
	line = sprintf("\n {\\bf %s} \\\ \n", var2)
	fput(fh, line)
	for(i=1;i<=rows(mat1v);i++) {
		line = sprintf("%s & \\numprint{%8.0f} & (%5.1f) & %5.1f \\\ \n", cats[i],mat1[i],mat2[1,i],mat3[1,rows(mat1v)+i])
		fput(fh, line)
	}
}
end
