version 14
mata: mata set matastrict on
mata:
void demotabOpen(string scalar fn,
                 string scalar title)
{
	string scalar sv
	external      fh

	sv = "capture erase "+fn
	stata(sv)
	fh = fopen(fn, "w")

	fput(fh,"\begin{table}[tbhp]")
	fput(fh,"\caption{"+title+"}")
	fput(fh,"\begin{center} \begin{tabular}{lrrr} \hline\hline")
	fput(fh,"Characteristic & No. & (\%) & Mean \% Smoked \\ \hline")
}	

void demotabClose()
{
	external fh
	fput(fh,"\hline \hline \end{tabular} \end{center} \end{table} \pagebreak")
	fclose(fh)
}
end
